--- sys/arch/i386/conf/GENERIC	Wed Nov 19 17:17:05 2003
+++ sys/arch/i386/conf/LIVECD	Tue Dec 30 17:19:30 2003
@@ -1,4 +1,7 @@
 # $NetBSD: GENERIC,v 1.491.4.6 2003/10/05 11:49:20 tron Exp $
+
+# This Puget Sound Technology's Live CD kernel config.
+
 #
 # GENERIC machine description file
 # 
@@ -204,9 +207,11 @@
 #options 	VGA_CONSOLE_SCREENTYPE="\"80x24\""
 
 # Kernel root file system and dump configuration.
-config		netbsd	root on ? type ?
+#config		netbsd	root on ? type ?
 #config		netbsd	root on sd0a type ffs
 #config		netbsd	root on ? type nfs
+# 22/Apr/2003 reed
+config		netbsd	root on cd0a type cd9660 dumps on none
 
 #
 # Device configuration
@@ -214,7 +219,8 @@
 
 mainbus0 at root
 
-#apm0	at mainbus0			# Advanced power management
+# 22/Apr/2003 reed
+apm0	at mainbus0			# Advanced power management
 
 # Tuning for power management, see apm(4) for more details.
 #options 	APM_NO_IDLE		# Don't call BIOS CPU idle function
@@ -260,13 +266,13 @@
 pci*	at ppb? bus ?
 
 # Configure PCI using BIOS information
-#options 	PCIBIOS			# PCI BIOS support
-#options 	PCIBIOSVERBOSE		# PCI BIOS verbose info
-#options 	PCIBIOS_ADDR_FIXUP	# fixup PCI I/O addresses
-#options 	PCIBIOS_BUS_FIXUP	# fixup PCI bus numbering
-#options 	PCIBIOS_INTR_FIXUP	# fixup PCI interrupt routing
+options 	PCIBIOS			# PCI BIOS support
+options 	PCIBIOSVERBOSE		# PCI BIOS verbose info
+options 	PCIBIOS_ADDR_FIXUP	# fixup PCI I/O addresses
+options 	PCIBIOS_BUS_FIXUP	# fixup PCI bus numbering
+options 	PCIBIOS_INTR_FIXUP	# fixup PCI interrupt routing
 #options 	PCIBIOS_IRQS_HINT=0x0a00 # PCI interrupts hint. IRQ 9 or 11
-#options 	PCIBIOS_INTR_GUESS	# see pcibios(4)
+options 	PCIBIOS_INTR_GUESS	# see pcibios(4)
 #options 	PCIINTR_DEBUG		# super-verbose PCI interrupt fixup
 
 # PCI bridges
@@ -312,12 +318,12 @@
 pcic*	at isapnp?
 
 # CardBus bridge support
-#cbb*		at pci? dev ? function ?
-#cardslot*	at cbb?
+cbb*		at pci? dev ? function ?
+cardslot*	at cbb?
 
 # CardBus bus support
-#cardbus*	at cardslot?
-#pcmcia* 	at cardslot?
+cardbus*	at cardslot?
+pcmcia* 	at cardslot?
 
 # Coprocessor Support
 
@@ -372,7 +378,7 @@
 com*	at pcmcom? slave ?		# ...and the slave devices
 
 # CardBus serial interfaces
-#com*	at cardbus? dev ? function ?	# Modems and serial cards
+com*	at cardbus? dev ? function ?	# Modems and serial cards
 
 # ISA serial interfaces
 #options 	COM_HAYESP		# adds Hayes ESP serial board support
@@ -476,8 +482,8 @@
 wds1	at isa? port 0x358 irq 11 drq 5
 
 # CardBus SCSI cards
-#adv*	at cardbus? dev ? function ?	# AdvanSys 1200[A,B], 9xx[U,UA] SCSI
-#ahc*	at cardbus? dev ? function ?	# Adaptec ADP-1480
+adv*	at cardbus? dev ? function ?	# AdvanSys 1200[A,B], 9xx[U,UA] SCSI
+ahc*	at cardbus? dev ? function ?	# Adaptec ADP-1480
 
 # MCA SCSI cards
 aha*	at mca? slot ?			# Adaptec AHA-1640
@@ -692,10 +698,10 @@
 we1	at isa? port 0x300 iomem 0xcc000 irq 10
 
 # CardBus network cards
-#ex*	at cardbus? dev ? function ?	# 3Com 3C575TX
-#fxp*	at cardbus? dev ? function ?	# Intel i8255x
-#rtk*	at cardbus? dev ? function ?	# Realtek 8129/8139
-#tlp*	at cardbus? dev ? function ?	# DECchip 21143
+ex*	at cardbus? dev ? function ?	# 3Com 3C575TX
+fxp*	at cardbus? dev ? function ?	# Intel i8255x
+rtk*	at cardbus? dev ? function ?	# Realtek 8129/8139
+tlp*	at cardbus? dev ? function ?	# DECchip 21143
 
 # MCA network cards
 elmc*	at mca? slot ?			# 3Com EtherLink/MC (3c523)
@@ -880,20 +886,20 @@
 #ess0	at isa? port 0x220 irq 5 drq 1 drq2 5	# ESS 18XX
 gus0	at isa? port 0x220 irq 7 drq 1 drq2 6	# Gravis Ultra Sound
 pas0	at isa? port 0x220 irq 7 drq 1		# ProAudio Spectrum
-#pss0	at isa? port 0x220 irq 7 drq 6		# Personal Sound System
-#sp0	at pss0 port 0x530 irq 10 drq 0		# 	sound port driver
+pss0	at isa? port 0x220 irq 7 drq 6		# Personal Sound System
+sp0	at pss0 port 0x530 irq 10 drq 0		# 	sound port driver
 sb0	at isa? port 0x220 irq 5 drq 1 drq2 5	# SoundBlaster
 wss0	at isa? port 0x530 irq 10 drq 0	drq2 1	# Windows Sound System
 
 # PCMCIA audio devices
-#esl*	at pcmcia? function ?			# ESS 1688 AudioDrive
+esl*	at pcmcia? function ?			# ESS 1688 AudioDrive
 
 #cms0	at isa? port 0x220			# Creative Music System
 
 # OPL[23] FM synthesizers
 #opl0	at isa? port 0x388	# use only if not attached to sound card
 opl*	at cmpci? flags 1
-#opl*	at esl?
+opl*	at esl?
 opl*	at eso?
 opl*	at ess?
 opl*	at fms?
@@ -914,7 +920,7 @@
 audio*	at eap?
 audio*	at emuxki?
 audio*	at esa?
-#audio*	at esl?
+audio*	at esl?
 audio*	at esm?
 audio*	at eso?
 audio*	at ess?
@@ -924,7 +930,7 @@
 audio*	at neo?
 audio*	at pas?
 audio*	at sb?
-#audio*	at sp?
+audio*	at sp?
 audio*	at sv?
 audio*	at uaudio?
 audio*	at wss?
